Subject: Re: bug#12993: Wrong icon for Cygw32-Emacs

From: Ken Brown <[email-masked]>
Date: Mon, 08 Apr 2013 16:26:39 -0400

On 4/8/2013 1:20 PM, Eli Zaretskii wrote:
>> Date: Mon, 08 Apr 2013 12:58:40 -0400
>> From: Ken Brown <[email-masked]>
>> CC: [email-masked], [email-masked]
>>
>> Thank you!  So I assume the correct fix is the following:
>>
>> === modified file 'nt/emacs.rc'
>> --- nt/emacs.rc 2013-03-05 03:59:35 +0000
>> +++ nt/emacs.rc 2013-04-08 16:55:12 +0000
>> @@ -1,6 +1,6 @@
>>    Emacs ICON   icons/emacs.ico
>>    32649 CURSOR icons/hand.cur
>> -#ifdef WIN64
>> +#if defined (WIN64) || defined (__x86_64__)
>>    1 24 "emacs-x64.manifest"
>>    #else
>>    1 24 "emacs-x86.manifest"
>>
>> Right?
>
> Yes.  But what about that linker directive in configure.ac -- is that
> still required?  (I never understood why Cygwin needs that in the
> first place.)

The "-Wl,-bpe-i386" part is not necessary.  I just checked this on both 
Cygwin32 and Cygwin64.  I think it should be removed, since it's 
confusing to have an unnecessary directive (especially on Cygwin64, 
where the format is actually pe-x86-64).  But if both directives are 
removed, the icon doesn't show up.  I guess the comment right before 
that line in configure.ac explains why.

Ken